Subject: Re: issue 32.1

From: [email-masked]
Date: Mon, 30 Sep 2002 11:45:26 -0400 (EDT)

I've stayed out of the fray for the most part, but I just have to ask
about one change Jonathan suggested:

> Also, change:
> "5.1.1 ORIGIN
> 
> 
>    ORIGIN is a well-known mandatory attribute.        The ORIGIN attribute
>    shall be generated by the autonomous system that originates the
>    associated routing information. It shall be included in the UPDATE
>    messages of all BGP speakers that choose to propagate this
>    information to other BGP speakers."
> 
> to:
> "5.1.1 ORIGIN
> 
>    The value of the ORIGIN attribute shall be set by the speaker
>    that originates the associated NLRI.        Its value shall not be
>    changed by any other speaker unless the other speaker is
>    administratively configured to do so to affect policy
>    decisions."

I imagine that features in a spec should be subject to compliance testing,
that is, it should be possible to externally test an implementation to
see if it followed the spec.

So what sort of compliance testing could verify that an implementation
that changed the ORIGIN did so because it was "administratively configured
to do so", much less "administratively configured to do so to affect policy
decisions"?

--Sandy